summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorsmatz <smatz@openttd.org>2008-07-31 14:32:35 +0000
committersmatz <smatz@openttd.org>2008-07-31 14:32:35 +0000
commitc779b7c4b293f2b3b7f67f6e0100e525f68b15a0 (patch)
tree5a4f8faa9a34a6125a7b45aa3cdec48939a9a6fd /configure
parent61799786d59aeac454030d49d896e2102181080c (diff)
downloadopenttd-c779b7c4b293f2b3b7f67f6e0100e525f68b15a0.tar.xz
(svn r13894) -Fix: bashisms in configure and Makefile.in
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure8
1 files changed, 5 insertions, 3 deletions
diff --git a/configure b/configure
index 5d01778b8..3f8b6f58b 100755
--- a/configure
+++ b/configure
@@ -32,7 +32,7 @@ MEDIA_DIR="$ROOT_DIR/media"
SOURCE_LIST="$ROOT_DIR/source.list"
if [ "$1" = "--reconfig" ] || [ "$1" = "--reconfigure" ]; then
- if ! [ -f "config.cache" ]; then
+ if [ ! -f "config.cache" ]; then
echo "can't reconfigure, because never configured before"
exit 1
fi
@@ -43,7 +43,9 @@ if [ "$1" = "--reconfig" ] || [ "$1" = "--reconfigure" ]; then
exit $?
fi
-export SHOW_HELP="0"
+# 'export SHOW_HELP="0"' doesn't work on some systems
+SHOW_HELP="0"
+export SHOW_HELP
set_default
detect_params "$@"
@@ -70,7 +72,7 @@ else
PIPE_SORT="$sort"
fi
-if ! [ -f "$LANG_DIR/english.txt" ]; then
+if [ ! -f "$LANG_DIR/english.txt" ]; then
echo "Languages not found in $LANG_DIR. Can't continue without it."
echo "Please make sure the dir exists and contains at least english.txt"
fi